Skip to main content

Account External User

View as Markdown

An external user from the customer's Identity Provider, resolved into Databricks. This is a read-only resource that allows customers to look up external user identities by their IdP external ID and retrieve the corresponding Databricks internal ID and metadata. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the user's data in Databricks.

ExternalUser object

An external user from the customer's Identity Provider, resolved into Databricks. This is a read-only resource that allows customers to look up external user identities by their IdP external ID and retrieve the corresponding Databricks internal ID and metadata. The Get method may trigger an idempotent sync from the customer's IdP to provision or refresh the user's data in Databricks.

namestringBetaOutput onlyIDImmutable

The resource name of the external user. The format depends on the API that returned it:

  • Account-scoped: accounts/{account_id}/external-users/{external_user_id}
  • Workspace-scoped: external-users/{external_user_id}
external_user_idstringBetaOutput only

The external ID of the user in the customer's IdP.

internal_idstringBetaOutput only

Internal userId of the user in Databricks.

usernamestringBetaOutput only

Username/email of the user, from Databricks.

full_nameobjectBetaOutput only

The full name of the user, from the customer's IdP.

Show child attributesHide child attributes
given_namestringBetaOutput only

The given (first) name of the user, from the customer's IdP.

family_namestringBetaOutput only

The family (last) name of the user, from the customer's IdP.

account_user_statusstringBetaOutput only

The activity status of the user in the Databricks account.

Values:

  • STATE_UNSPECIFIED
  • ACTIVE
  • INACTIVE
account_idstringBetaOutput only

The parent account ID, from Databricks.

display_namestringBetaOutput only

Display name of the user from the customer's IdP.

Get an external user in the account Beta

GET /api/2.0/identity/{name=accounts/*/external-users/*}

Retrieves an external user with the given external ID from the customer's IdP. If the user does not exist, it will be created. If the customer is not onboarded onto Automatic Identity Management (AIM), this will return an error.

API scopes: identity

Parameters

namestringRequiredpath

Required. The resource name of the external user. Format: accounts/{account_id}/external-users/{external_user_id}

Response

Returns the ExternalUser object.